/*General document styling begins*/
html{
    background-color: #000019;
    scroll-behavior: smooth;
}
h1{
    font-size: 4rem;
    font-family: Futura PT, sans-serif;
    color: #000019;
}
#contr_h1{
    color: white;
    font-size: 11rem;
}
#infls_h1{
    color: black;
    font-size: 11rem;
}
#futura_h1{
    color: white;
    font-size: 11rem;
}
h2{
    color: red;
    font-family: Futura PT, sans-serif;
    font-size: 2rem;
    font-weight: 600;
}
h3{
    color: white;
}
p{
    font-size: 1.8rem;
    font-family: Futura PT, sans-serif;
    font-weight: 400;
    word-spacing: 0.5rem;
    line-height: 2.5rem;
}
hr{
    grid-column: 1/13;
    margin: auto;
    width: 100%;
    border: none;
    height: 4px;
    background-color: red;
}
/*General document styling ends*/



/*Dropdown menu styling begins*/
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
#hamburger-menu{
    position:absolute;
}
.menuItem{
    display: block;
    margin: 2rem 4rem;
    font-size: 1.8rem;
    color: white;
    text-decoration: none;
    text-align: center;
    font-family: Futura, sans-serif;
    transition: 0.2s ease-in-out;
}
.menuItem:hover{
    text-decoration: underline;
    color: red;
    font-size: 2.2rem;
}
.hamburger{
    position: fixed;
    z-index: 100;
    top: 1rem;
    right: 1rem;
    border: none;
    cursor: pointer;
    background: none;
    color: white;
    font-size: 3rem;
    mix-blend-mode: difference;
}
.menu{
    position: fixed;
    transform: translateY(-100%);
    transition: transform 0.4s;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 99;
    backdrop-filter: blur(14px);
    background: rgba(0, 0, 10, 0.8);
    color: white;
    list-style: none;
    padding-top: 4rem;
}
.showMenu{
    transform: translateY(0);
}
/*Dropdown menu styling ends*/



/*Title styling begins*/
.header{
    display: flex;
    justify-content: center;
    align-content: center;
    margin-top: 100px;
}
.header img{
    width: 97%;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
    -webkit-transition: .3s ease-in-out;
    transition: .3s ease-in-out;
}
.header img:hover{
    -webkit-filter: grayscale(0);
    filter: grayscale(0);
}
/*Title styling ends*/



/*Paul Renner section styling begins*/
#renner{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    background-color: white;
    padding: 30px;
    padding-top: 50px;
    padding-bottom: 150px;
    margin-top: -3px;
}
#header1{
    display: grid;
    grid-column: 1/13;
    margin-bottom: 4rem;
}
#header1 h1{
    color: black;
    text-align: center;
}
#image1{
    grid-column: 1/5;
}
#image1 img{
    width: 32vw;
    height: auto;
    border-radius: 30px;
}
#body1{
    position: relative;
    grid-column: 6/13;
}
.r_more1{
    position: absolute;
    bottom: 0;
    right: 0;
    font-family: Futura PT, sans-serif;
    font-size: 2rem;
    font-weight: 600;
    font-size: 2rem;
    color: white;
    border: none;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    background: #000019;
    border-radius: 10px;
    cursor: pointer;
    transition: .2s ease-in-out;
}
.r_more1:hover{
    background: red;
}
.close1{
    position: absolute;
    bottom: 0;
    right: 0;
    font-family: Futura PT, sans-serif;
    font-size: 2rem;
    font-weight: 600;
    font-size: 2rem;
    color: white;
    border: none;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    background: #000019;
    margin: 10px;
    border-radius: 10px;
    transition: .2s ease-in-out;
}
.close1:hover{
    background: red;
}
.popup1{
    width: 1200px;
    border: none;
    border-radius: 30px;
    box-shadow: 0 0 1em rgb(0 0 0 / .3);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.popup1::backdrop{
    backdrop-filter: blur(14px);
    background: rgba(0, 0, 10, 0.5);
}
.popup_body{
    padding: 50px;
    padding-bottom: 100px;

}
/*Paul Renner section styling ends*/



/*Contributions section styling begins*/
#contr{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    background-color: #000019;
}
.sticky{
    position: sticky; 
    top: 0;
    margin-bottom: 2rem;
}
.sticky p{
    font-size: 2rem;
}
#card_header{
    margin-top:5rem;
    display: grid;
    grid-column: 1/13;
    justify-content: center;
}
#card1{
    display: grid;
    grid-column: 2/12;
    background-color: rgb(35, 36, 83);
    color: white;
    padding: 150px;
    border-radius: 30px;
    box-shadow: 0 0 1em rgb(0, 0, 0, 0.5);
}
#card2{
    display: grid;
    grid-column: 2/12;
    background-color: rgba(50, 52, 113, 0.7);
    backdrop-filter: blur(4px);
    color: white;
    padding: 150px;
    border-radius: 30px;
    box-shadow: 0 0 1em rgb(0, 0, 0, 0.5);
}
#card3{
    display: grid;
    grid-column: 2/12;
    background-color: rgba(50, 52, 113, 0.7);
    backdrop-filter: blur(4px);
    color: white;
    padding: 150px;
    border-radius: 30px;
    box-shadow: 0 0 1em rgb(0, 0, 0, 0.5);
}
/*Contributions section styling ends*/



/*Influences section 1 styling begins*/
#infls{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    background-color: white;
    padding-top: 4rem;
    padding-bottom: 120px;
    padding-left: 60px;
    padding-right: 60px;
}
#infls_header{
    grid-column: 1/13;
    margin-bottom: 5rem;
    text-align: center;
}
#infls_body{
    grid-column: 1/8;
}
#infls_imgs{
    display: flex;
    grid-column: 9/13;
    justify-content: space-between;
}
#infls_imgs img{
    width: 40%;
    margin-bottom: 7rem;
}
#img1:hover{
    content: url(images/gth_hvr.png);
}
#img2:hover{
    content: url(images/ftr_hvr.png);
}
/*Influences section 1 styling ends*/



/*Influences section 2 styling begins*/
#infls2{
    grid-column: 1/13;
    margin-top: 4rem;
}
#infls2_body{
    grid-column: 1/13;
    
}
#infls2_img{ 
    display: flex;
    justify-content: center;
    margin: 70px;
    margin-bottom: 7rem;
}
#infls2_img img{
    width: 50vw;
    padding: 30px;
    border-radius: 30px;
    box-shadow: 0 0.5em 1em rgb(0, 0, 0, 0.5);
}
#img3:hover{
    content: url(images/Futura.png);
}
/*Influences section 2 styling ends*/



/*Influences section 3 styling begins*/
#infls3{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-column: 1/13;
    margin-top: 4rem;
}
#infls3_body1{
    grid-column: 1/4;
}
#infls3_body2{
    grid-column: 10/13;
}
#infls3_body1 p{
    font-size: 1.77rem;
    text-align: right;
}
#infls3_body2 p{
    font-size: 1.77rem;
    text-align: left;
}
.slider_frame{
    grid-column: 4/10;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;
    height: 45vh;
    width: 40vw;
    border-radius: 10px;
    box-shadow: 0 0.5em 1em rgb(0, 0, 0, 0.5);
    
}
@-webkit-keyframes slide_animation{
    0% {left:0px;}
    10% {left:0px;}
    20% {left:0px;}
    30% {left:800px;}
    40% {left:800px;}
    50% {left:800px;}
    60% {left:1600px;}
    70% {left:1600px;}
    80% {left:1600px;}
    90% {left:800px;}
    100% {left:0;}
}
.slide_images{
    width: 3600px;
    margin: 0 0 0 -1600px;
    position: relative;
    -webkit-animation-name: slide_animation;
    -webkit-animation-duration: 33s;
    -webkit-animation-iteration-count: infinite;

    -webkit-animation-play-state: running;
}
.img_container{
    width: 800px;
    position: relative;
    float: left;
}
.img_container img{
    width:900px;
}
/*Influences section 3 styling ends*/



/*Futura section styling begins*/
#futura{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-column: 1/13;
    background-color: 0;
    padding: 60px;
    padding-top: 30px;
}
#futura_header{
    display: grid;
    grid-column: 1/13;
    margin-bottom: 4rem;
    text-align: center;
}
.container{
    display: grid;
    grid-column: 1/6;
    position: relative;
    overflow: hidden;
    border-radius: 20px;
    --position: 50%;
    margin-bottom: 7rem;
}
.image_container{
    max-width: 800px;
    max-height: 90vh;
}
.image_container img{
    display: block;
    max-width: 100%;
}
.slider-image{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: left;
}
.image-before{
    position: absolute;
    inset: 0;
    width: var(--position);
}
.slider{
    position: absolute;
    inset: 0;
    cursor: pointer;
    opacity: 0;
    width: 100%;
    height: 100%;
}
.slider-line{
    position: absolute;
    inset: 0;
    width: 0.3rem;
    height: 100%;
    background-color: red;
    z-index: 15;
    left: var(--position);
    transform: translateX(-50%);
    pointer-events: none;
    box-shadow: 1px 0px 3px rgb(0, 0, 0);
}
.slider-button{
    position: absolute;
    color: white;
    background-color: red;
    padding: 0.5rem;
    border-radius: 100vw;
    display: grid;
    place-items: center;
    top: 50%;
    left: var(--position);
    transform: translate(-50%, -50%);
    pointer-events: none;
    z-index: 25;
    box-shadow: 1px 0px 3px rgb(0, 0, 0);
    
}

#futura_body1{
    display: flex;
    grid-column: 7/13;
    align-items: center;
    margin-bottom: 7rem;
    
}
#futura_p{
    font-size: 1.86rem;
    color: white;
}
#futura_pt2{
    display: grid;
    grid-column: 1/13;
    margin-top: 4rem;
}
#pt2_body{
    display: grid;
    grid-column: 4/10;
    margin-bottom: 4rem;
    text-align: center;
}
#pt2_img{
    display: flex;
    grid-column: 2/12;
    justify-content: center;
    margin-bottom: 4rem;
}

#pt2_img img{
    width: 80%;
    object-fit: cover;
}
#pt2_img img:hover{
    content: url(images/pointed_tips.png);
}
#futura_pt3{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-column: 1/13;
    margin-top: 4rem;
}
#pt3_body{
    grid-column: 1/5;
    margin-bottom: 4rem;
}
#pt3_img{
    display: grid;
    grid-column: 6/13;
    justify-content: center;
    margin-bottom: 4rem;
}
#pt3_img img:hover{
    content: url(images/xheight_hover.png);
}
#pt3_img img{
    width: 100%;
    object-fit: cover;
}
#futura_pt4{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-column: 1/13;
    margin-top: 4rem;
    margin-bottom: 7rem;
}
#pt4_body{
    grid-column: 6/13;
}
#pt4_img{
    grid-column: 1/5;
}
#pt4_img img{
    width: 100%;
    object-fit: cover;
}
#futura_pt5{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-column: 1/13;
    margin-top: 4rem;
}
#pt5_body{
    grid-column: 2/12;
    text-align: center;
    margin-bottom: 3rem;
}
#pt5_body p{
    font-size: 1.84rem;
}
#scroll_txt{
    font-size: 15rem;
    font-family: Futura PT, sans-serif;
    font-weight: 400;
    color: white;
    grid-column: 1/13;
    margin-bottom: 3rem;
}
/*Futura section styling begins*/

#back_to_top{
    display: flex;
    grid-column: 1/13;
    justify-content: center;
}
#back_to_top a{
    font-size: 1.4rem;
    text-decoration: none;
    transition: .2s ease-in-out;
}
#back_to_top a:hover{
    color: red;
    font-size: 1.6rem;
    text-decoration: underline;
}